Skip to main content
GET
/
v1
/
datapoints
/
{datapoint_id}
Retrieve a specific datapoint
curl --request GET \
  --url https://api.dp1.us.honeyhive.ai/v1/datapoints/{datapoint_id} \
  --header 'Authorization: Bearer <token>'
{
  "datapoint": [
    {
      "id": "<string>",
      "inputs": {},
      "history": [
        {}
      ],
      "ground_truth": {},
      "metadata": {},
      "linked_event": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "linked_datasets": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

datapoint_id
string
required

Datapoint ID like 65c13dbbd65fb876b7886cdb

Response

200 - application/json

Successful response

Response for GET /datapoints/{datapoint_id}

datapoint
object[]
required